# Fetch Modules

## Get Cakes

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/v1/fe/program/modules?program_identifier=[program_id]`

This endpoint allows you to get free cakes.

#### Path Parameters

| Name                | Type   | Description             |
| ------------------- | ------ | ----------------------- |
| program\_identifier | string | Program Identifier UUID |

#### Headers

| Name           | Type   | Description                                                    |
| -------------- | ------ | -------------------------------------------------------------- |
| Authentication | string | Authentication token to track down who is emptying our stocks. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "status": 200,
    "message": "Modules successfully fetched",
    "data": [
        {
            "identifier": "31b2166c-dccf-4c92-a124-209c1d86c07c",
            "description": "Credit Scores & CRBs Tips",
            "more_details": "More Details about Module"
        },
        {
            "identifier": "3a45b50b-ca48-4616-9c5a-6f2568079304",
            "description": "General Financial Tips",
            "more_details": "More Details about Module"
        }
    ]
}

```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```
{
    "status": 404,
    "message": "Modules Not Found"
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/financial-education/fetch-modules-by-program-identifier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
